An Illegal Reflective Access Operation Has Occurred

Started by Black Hole Man on Thu, 08/09/2018 - 07:48

Topic category: Help with MCreator's application

Last seen on 16:28, 17. Aug 2018
Joined Jul 2018
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
An Illegal Reflective Access Operation Has Occurred
Thu, 08/09/2018 - 07:48

I am using Ubuntu 18.04 LTS. I downloaded MCreator. I have the java stuff. I have allowed permissions to the mcreator.jar file. When I try to open it with java nothing happens. When I do java -jar mcreator.jar this happens:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by co.pylo.mcreator.f.e (file:/home/boncar/Bureau/MCreator/mcreator.jar) to method java.net.URLClassLoader.addURL(java.net.URL)
WARNING: Please consider reporting this to the maintainers of co.pylo.mcreator.f.e
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
[Mon Aug 1 14:37:55 RET 2018] Exception in thread "main" [Mon Jul 23 14:37:56 RET 2018] java.lang.IllegalArgumentException: object is not an instance of declaring class
[Mon Aug 1 14:37:56 RET 2018] 	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[Mon Aug 1 14:37:56 RET 2018] 	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
[Mon Aug 1 14:37:56 RET 2018] 	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[Mon Aug 1 14:37:56 RET 2018] 	at java.base/java.lang.reflect.Method.invoke(Method.java:564)
[Mon Aug 1 14:37:56 RET 2018] 	at co.pylo.mcreator.f.e.a(Unknown Source)
[Mon Aug 1 14:37:56 RET 2018] 	at co.pylo.mcreator.f.e.a(Unknown Source)
[Mon Aug 1 14:37:56 RET 2018] 	at co.pylo.mcreator.Launcher.main(Unknown Source)

 

Last seen on 18:57, 17. Nov 2018
Joined Apr 2010
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
  • wiki contributor
  • moderator
  • developer
You are using Java version…
Fri, 08/10/2018 - 10:49

You are using Java version higher than Java 8, which is the only suppoted version. Check this page: https://mcreator.net/requirements

Last seen on 16:28, 17. Aug 2018
Joined Jul 2018
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
thanks, but I have java jdk…
Fri, 08/17/2018 - 16:28

thanks, but I have java jdk 8 which is what the installation page says to use.